#pragma once
#include <SDL2/SDL.h>

namespace ui
{
    namespace window
    {
        void registerWindow(Uint32 window, bool(*callback)(SDL_Event *e));
        void unregisterWindow(Uint32 window);
        bool sendEvent(Uint32 window, SDL_Event *e);
    }
}
